/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.postfach.bayernid.proxy.message;

import de.ozgcloud.nachrichten.postfach.bayernid.proxy.message.Absender.AbsenderBuilder;

public class AbsenderTestFactory {

	public static final String ABSENDER_POSTKORB_ID = "absenderPostkorbId";
	public static final String NAME = "Musterstadt Stadtverwaltung";
	public static final String ANSCHRIFT = "Musterstraße 1";
	public static final String EMAIL = "mail@exam.ple";
	public static final String TELEFON = "0456123456789";
	public static final String HYPERLINK = "http://some.link";
	public static final String MANDANT = "Musterstadt";
	public static final String DIENST = "Stadtverwaltung";
	public static final String GEMEINDE_SCHLUESSEL = "123456789";

	public static Absender create() {
		return createBuilder().build();
	}

	public static AbsenderBuilder createBuilder() {
		return Absender.builder()
				.postkorbId(ABSENDER_POSTKORB_ID)
				.name(NAME)
				.anschrift(ANSCHRIFT)
				.email(EMAIL)
				.telefon(TELEFON)
				.hyperlink(HYPERLINK)
				.mandant(MANDANT)
				.dienst(DIENST)
				.gemeindeschluessel(GEMEINDE_SCHLUESSEL);
	}
}
